namespace XGame.Database
{
    public partial class SkillTableRepo
    {
        /// <summary>
        /// 获取技能的作用对象
        /// </summary>
        /// <param name="skillId"></param>
        /// <returns></returns>
        public static ESkillTargetType GetTargetType(long skillId)
        {
            var table = Get(skillId);
            if (table == null)
            {
                Log.Error($"没有找到技能配置. SkillId:{skillId}");
                return ESkillTargetType.None;
            }
            return (ESkillTargetType)table.TargetType;
        }
    }
}
